Debian Bug report logs - #639875
fglrx-driver: xorg-video-abi-11

version graph

Package: fglrx-driver; Maintainer for fglrx-driver is Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>; Source for fglrx-driver is src:fglrx-driver.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Wed, 31 Aug 2011 09:21:01 UTC

Severity: serious

Tags: upstream

Merged with 643918, 644720

Found in versions fglrx-driver/1:11-11-1, fglrx-driver/1:11-10-1, fglrx-driver/1:11-8-1

Fixed in version 1:11-11-2

Done: Andreas Beckmann <debian@abeckmann.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Wed, 31 Aug 2011 09:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Wed, 31 Aug 2011 09:21:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fglrx-driver: xorg-video-abi-11
Date: Wed, 31 Aug 2011 10:56:01 +0200
Package: fglrx-driver
Version: 1:11-8-1
Severity: normal
Tags: upstream

Xserver 1.11.0 (with xorg-video-abi-11) was uploaded to unstable a few
days ago and therefore fglrx-driver is no longer installable in
unstable.

But since there is additional ABI change in Xserver 1.11.0 that was not
properly versioned, see
http://www.nvnews.net/vbulletin/showthread.php?t=165665
http://lists.x.org/pipermail/xorg-devel/2011-August/024752.html
it's probably not a good idea to enable xorg-video-abi-11 (which might
work now if the IgnoreABI option is enabled) without an official
upstream release that supports 1.11.

Andreas

-- System Information:
Debian Release: 6.0.2
  APT prefers stable
  APT policy: (800, 'stable'), (700, 'testing'), (600, 'unstable'), (500, 'stable-updates'), (130, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Fri, 02 Sep 2011 00:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Fri, 02 Sep 2011 00:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 639875@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 639875@bugs.debian.org, 639875-submitter@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#639875: fglrx-driver: xorg-video-abi-11
Date: Thu, 1 Sep 2011 20:21:28 -0400
Andreas Beckmann wrote:

> Package: fglrx-driver
> Version: 1:11-8-1
> Severity: normal
> Tags: upstream
> 
> Xserver 1.11.0 (with xorg-video-abi-11) was uploaded to unstable a few
> days ago and therefore fglrx-driver is no longer installable in
> unstable.
> 
> But since there is additional ABI change in Xserver 1.11.0 that was not
> properly versioned, see
> http://www.nvnews.net/vbulletin/showthread.php?t=165665
> http://lists.x.org/pipermail/xorg-devel/2011-August/024752.html
> it's probably not a good idea to enable xorg-video-abi-11 (which might
> work now if the IgnoreABI option is enabled) without an official
> upstream release that supports 1.11.

What can we do about this?  It seems like the correct solution is to
get the patch you mention [0] applied to the xorg packages, so
shouldn't this be reassigned there?

Best wishes,
Mike

[0] http://lists.x.org/pipermail/xorg-devel/2011-August/024752.html




Message sent on to Andreas Beckmann <debian@abeckmann.de>:
Bug#639875. (Fri, 02 Sep 2011 00:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Sun, 04 Sep 2011 16:54:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sun, 04 Sep 2011 16:54:23 GMT) Full text and rfc822 format available.

Message #18 received at 639875@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 639875@bugs.debian.org, 639875-submitter@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#639875: Bug#639875: fglrx-driver: xorg-video-abi-11
Date: Sun, 4 Sep 2011 12:55:00 -0400
Michael Gilbert wrote:
> What can we do about this?  It seems like the correct solution is to
> get the patch you mention [0] applied to the xorg packages, so
> shouldn't this be reassigned there?

What are your thoughts on this?  I'm inclined to reassign it unless
there's some reason not to.

Best wishes,
Mike




Message sent on to Andreas Beckmann <debian@abeckmann.de>:
Bug#639875. (Sun, 04 Sep 2011 16:54:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Sun, 04 Sep 2011 17:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sun, 04 Sep 2011 17:12:07 GMT) Full text and rfc822 format available.

Message #26 received at 639875@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Michael Gilbert <michael.s.gilbert@gmail.com>, 639875@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#639875: Bug#639875: Bug#639875: fglrx-driver: xorg-video-abi-11
Date: Sun, 04 Sep 2011 19:01:06 +0200
[Message part 1 (text/plain, inline)]
On 04.09.2011 18:55, Michael Gilbert wrote:
> Michael Gilbert wrote:
>> What can we do about this?  It seems like the correct solution is to
>> get the patch you mention [0] applied to the xorg packages, so
>> shouldn't this be reassigned there?
> 
> What are your thoughts on this?  I'm inclined to reassign it unless
> there's some reason not to.

I have already tested it, fglrx 11-8 just segfaults with xorg 1.11 :(


-- 
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org
*/

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Sun, 25 Sep 2011 19:39:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sun, 25 Sep 2011 19:39:45 GMT) Full text and rfc822 format available.

Message #31 received at 639875@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 639875@bugs.debian.org
Subject: re: fglrx-driver: xorg-video-abi-11
Date: Sun, 25 Sep 2011 15:44:45 -0400
Just for the record, 11-8 segfaults with the latest xorg packages that
bumped the abi.  It definitely looks like we need to wait for an
upstream fix.

Mike




Severity set to 'serious' from 'normal' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 27 Sep 2011 20:24:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Thu, 29 Sep 2011 15:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Marble <tmarble@info9.net>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Thu, 29 Sep 2011 15:21:06 GMT) Full text and rfc822 format available.

Message #38 received at 639875@bugs.debian.org (full text, mbox):

From: Tom Marble <tmarble@info9.net>
To: 639875@bugs.debian.org
Subject: re: fglrx-driver: xorg-video-abi-11
Date: Thu, 29 Sep 2011 10:19:25 -0500
All:

I took a chance on rebuilding the driver for the upstream
version 11-9 which was released yesterday. I am running
a custom 3.1.0-rc7 kernel with unstable+experimental amd64 on
an eMachines eME443-BZ602 with a ATI Radeon HD 6250.

And it still segfaults :(

Snippets from Xorg.0.log below.

Regards,

--Tom

[    26.028] X Protocol Version 11, Revision 0
[    26.028] Build Operating System: Linux 3.1.0-rc4-amd64 x86_64 Debian
[    26.028] Current Operating System: Linux ordi 3.1.0-rc7 #4 SMP Wed Sep 28:37:39 CDT 2011 x86_64
...
[    26.774] (II) Loading /usr/lib/xorg/modules/drivers/fglrx_drv.so
[    27.189] (II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
[    27.206]    compiled for 1.4.99.906, module version = 8.89.4
[    27.206]    Module class: X.Org Video Driver
[    27.234] (II) Loading sub module "fglrxdrm"
[    27.234] (II) LoadModule: "fglrxdrm"
[    27.234] (II) Loading /usr/lib/xorg/modules/linux/libfglrxdrm.so
[    27.274] (II) Module fglrxdrm: vendor="FireGL - ATI Technologies Inc."
[    27.274]    compiled for 1.4.99.906, module version = 8.89.4
[    27.274] (II) ATI Proprietary Linux Driver Version Identifier:8.89.4
[    27.274] (II) ATI Proprietary Linux Driver Release Identifier: 8.892
...
[    27.276] (WW) Falling back to old probe method for fglrx
[    27.416] (II) Loading PCS database from /etc/ati/amdpcsdb
[    27.468] (--) Chipset Supported AMD Graphics Processor (0x9804) found
...
Backtrace:
[    29.537] 0: /usr/bin/Xorg (xorg_backtrace+0x26) [0x5689d6]
[    29.537] 1: /usr/bin/Xorg (0x400000+0x16c5c9) [0x56c5c9]
[    29.538] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f81b7b5a000+0xf020) [0x7f81b7b69020]
[    29.538] 3: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xs110SetPrivate+0x27) [0x7f81b44dfff7]
[    29.539] 4: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xclSetPrivate+0xd) [0x7f81b3f3833d]
[    29.540] 5: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs110_swlDriScreenInit+0xfd) [0x7f81b404933d]
[    29.540] 6: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs110_atiddxDriScreenInit+0x345) [0x7f81b40318c5]
[    29.541] 7: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs110_atiddxScreenInit+0xc49) [0x7f81b402a369]
[    29.541] 8: /usr/bin/Xorg (AddScreen+0x171) [0x437e31]
[    29.541] 9: /usr/bin/Xorg (InitOutput+0x29c) [0x473abc]
[    29.541] 10: /usr/bin/Xorg (0x400000+0x26cdd) [0x426cdd]
[    29.542] 11: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xfd) [0x7f81b6899ead]
[    29.542] 12: /usr/bin/Xorg (0x400000+0x2719d) [0x42719d]
[    29.542] Segmentation fault at address 0x10






Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Thu, 29 Sep 2011 15:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Thu, 29 Sep 2011 15:27:08 GMT) Full text and rfc822 format available.

Message #43 received at 639875@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Tom Marble <tmarble@info9.net>, 639875@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#639875: fglrx-driver: xorg-video-abi-11
Date: Thu, 29 Sep 2011 17:23:39 +0200
Am 29.09.2011 17:19, schrieb Tom Marble:
> All:
>
> I took a chance on rebuilding the driver for the upstream
> version 11-9 which was released yesterday. I am running
> a custom 3.1.0-rc7 kernel with unstable+experimental amd64 on
> an eMachines eME443-BZ602 with a ATI Radeon HD 6250.
>
> And it still segfaults :(

Yep, it is fixed with 10-10.

>
> Snippets from Xorg.0.log below.
>
> Regards,
>
> --Tom
>
> [    26.028] X Protocol Version 11, Revision 0
> [    26.028] Build Operating System: Linux 3.1.0-rc4-amd64 x86_64 Debian
> [    26.028] Current Operating System: Linux ordi 3.1.0-rc7 #4 SMP Wed Sep 28:37:39 CDT 2011 x86_64
> ...
> [    26.774] (II) Loading /usr/lib/xorg/modules/drivers/fglrx_drv.so
> [    27.189] (II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
> [    27.206]    compiled for 1.4.99.906, module version = 8.89.4
> [    27.206]    Module class: X.Org Video Driver
> [    27.234] (II) Loading sub module "fglrxdrm"
> [    27.234] (II) LoadModule: "fglrxdrm"
> [    27.234] (II) Loading /usr/lib/xorg/modules/linux/libfglrxdrm.so
> [    27.274] (II) Module fglrxdrm: vendor="FireGL - ATI Technologies Inc."
> [    27.274]    compiled for 1.4.99.906, module version = 8.89.4
> [    27.274] (II) ATI Proprietary Linux Driver Version Identifier:8.89.4
> [    27.274] (II) ATI Proprietary Linux Driver Release Identifier: 8.892
> ...
> [    27.276] (WW) Falling back to old probe method for fglrx
> [    27.416] (II) Loading PCS database from /etc/ati/amdpcsdb
> [    27.468] (--) Chipset Supported AMD Graphics Processor (0x9804) found
> ...
> Backtrace:
> [    29.537] 0: /usr/bin/Xorg (xorg_backtrace+0x26) [0x5689d6]
> [    29.537] 1: /usr/bin/Xorg (0x400000+0x16c5c9) [0x56c5c9]
> [    29.538] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f81b7b5a000+0xf020) [0x7f81b7b69020]
> [    29.538] 3: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xs110SetPrivate+0x27) [0x7f81b44dfff7]
> [    29.539] 4: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xclSetPrivate+0xd) [0x7f81b3f3833d]
> [    29.540] 5: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs110_swlDriScreenInit+0xfd) [0x7f81b404933d]
> [    29.540] 6: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs110_atiddxDriScreenInit+0x345) [0x7f81b40318c5]
> [    29.541] 7: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs110_atiddxScreenInit+0xc49) [0x7f81b402a369]
> [    29.541] 8: /usr/bin/Xorg (AddScreen+0x171) [0x437e31]
> [    29.541] 9: /usr/bin/Xorg (InitOutput+0x29c) [0x473abc]
> [    29.541] 10: /usr/bin/Xorg (0x400000+0x26cdd) [0x426cdd]
> [    29.542] 11: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xfd) [0x7f81b6899ead]
> [    29.542] 12: /usr/bin/Xorg (0x400000+0x2719d) [0x42719d]
> [    29.542] Segmentation fault at address 0x10
>
>
>
>
>
> _______________________________________________
> Pkg-fglrx-devel mailing list
> Pkg-fglrx-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-fglrx-devel





Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Thu, 29 Sep 2011 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <ralfjung-e@gmx.de>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Thu, 29 Sep 2011 16:03:04 GMT) Full text and rfc822 format available.

Message #48 received at 639875@bugs.debian.org (full text, mbox):

From: Ralf Jung <ralfjung-e@gmx.de>
To: 639875-subscribe@bugs.debian.org
Cc: 639875@bugs.debian.org
Subject: fglrx removed
Date: Thu, 29 Sep 2011 18:01:23 +0200
Hi,

is it because of this that fglrx just got removed from testing, thereby 
removing support for 3d acceleration on a whole lot of systems?

Kind regards,
Ralf




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Thu, 29 Sep 2011 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Thu, 29 Sep 2011 19:51:03 GMT) Full text and rfc822 format available.

Message #53 received at 639875@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ralf Jung <ralfjung-e@gmx.de>, 639875@bugs.debian.org
Subject: Re: Bug#639875: fglrx removed
Date: Thu, 29 Sep 2011 21:47:40 +0200
On Thu, Sep 29, 2011 at 18:01:23 +0200, Ralf Jung wrote:

> Hi,
> 
> is it because of this that fglrx just got removed from testing, thereby 

Yes.

> removing support for 3d acceleration on a whole lot of systems?
> 
No.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Tue, 04 Oct 2011 14:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Tue, 04 Oct 2011 14:00:06 GMT) Full text and rfc822 format available.

Message #58 received at 639875@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 639875@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#639875: fglrx-driver: xorg-video-abi-11
Date: Tue, 04 Oct 2011 15:56:48 +0200
Instructions how to downgrade Xorg Xserver to 1.10.4 which works with
fglrx can be found here:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=643903#25

Andreas




Forcibly Merged 639875 644720. Request was from Patrick Matthäi <pmatthaei@debian.org> to control@bugs.debian.org. (Sat, 08 Oct 2011 13:42:05 GMT) Full text and rfc822 format available.

Forcibly Merged 639875 643918 644720. Request was from Patrick Matthäi <pmatthaei@debian.org> to control@bugs.debian.org. (Sun, 16 Oct 2011 13:34:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Sun, 23 Oct 2011 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Bolte <abolte@systemsaviour.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sun, 23 Oct 2011 14:21:03 GMT) Full text and rfc822 format available.

Message #67 received at 639875@bugs.debian.org (full text, mbox):

From: Adam Bolte <abolte@systemsaviour.com>
To: 639875@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#639875: fglrx-driver: xorg-video-abi-11
Date: Mon, 24 Oct 2011 01:16:39 +1100
[Message part 1 (text/plain, inline)]
Worked like a charm. I also posted more detailed instructions on how to
downgrade to 1.10.4 on my blog, in case anyone else is still stuck on
this.

http://systemsaviour.com/?p=514

Cheers,
Adam
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Mon, 31 Oct 2011 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Marble <tmarble@info9.net>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Mon, 31 Oct 2011 17:21:03 GMT) Full text and rfc822 format available.

Message #72 received at 639875@bugs.debian.org (full text, mbox):

From: Tom Marble <tmarble@info9.net>
To: 639875@bugs.debian.org
Subject: Re: Bug#639875: fglrx-driver: xorg-video-abi-11
Date: Mon, 31 Oct 2011 12:19:03 -0500
All:

New upstream has just become available... I'll try it soon.

$ wget http://www2.ati.com/drivers/linux/ati-driver-installer-11-10-x86.x86_64.run

HTH,

--Tom




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Tue, 01 Nov 2011 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Alexander Frederiksen <taf@one.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Tue, 01 Nov 2011 13:30:04 GMT) Full text and rfc822 format available.

Message #77 received at 639875@bugs.debian.org (full text, mbox):

From: Thomas Alexander Frederiksen <taf@one.com>
To: 639875@bugs.debian.org
Subject: Re: Bug#639875: fglrx-driver: xorg-video-abi-11
Date: Tue, 01 Nov 2011 14:26:24 +0100
The new upstream 11.10 also segfaults with xserver-xorg 1.11.1.901-2

Looks like AMD will need more time before we get a version that works.

Regards,

/Thomas
-- 
Thomas Alexander Frederiksen
Systems Administrator
One.com, taf@one.com




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Wed, 02 Nov 2011 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "dE ." <de.techno@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 02 Nov 2011 13:51:03 GMT) Full text and rfc822 format available.


Message #82 received at 639875@bugs.debian.org (full text, mbox):

From: "dE ." <de.techno@gmail.com>
To: 639875@bugs.debian.org
Date: Wed, 02 Nov 2011 19:07:58 +0530
Does AMD know about this?




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Thu, 03 Nov 2011 01:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Thu, 03 Nov 2011 01:39:03 GMT) Full text and rfc822 format available.

Message #87 received at 639875@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 639875@bugs.debian.org, control <control@bugs.debian.org>
Subject: still a problem
Date: Wed, 2 Nov 2011 21:36:16 -0400
found 639875 1:11-10-1
thanks

> Does AMD know about this?

Who knows?  You can send a message to their support form asking the
question, but it's highly doubtful that they'll respond:
http://emailcustomercare.amd.com/

Best wishes,
Mike




Bug Marked as found in versions fglrx-driver/1:11-10-1. Request was from Michael Gilbert <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Thu, 03 Nov 2011 01:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Fri, 04 Nov 2011 12:49:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Marble <tmarble@info9.net>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Fri, 04 Nov 2011 12:49:17 GMT) Full text and rfc822 format available.

Message #94 received at 639875@bugs.debian.org (full text, mbox):

From: Tom Marble <tmarble@info9.net>
To: 639875@bugs.debian.org
Subject: Re: Bug#639875: fglrx-driver: xorg-video-abi-11
Date: Fri, 04 Nov 2011 07:48:39 -0500
All:

I can confirm the segfault with 11-10 :(

[    42.897] 0: /usr/bin/Xorg (xorg_backtrace+0x26) [0x7fcea52478f6]
[    42.897] 1: /usr/bin/Xorg (0x7fcea50c3000+0x188559) [0x7fcea524b559]
[    42.897] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fcea43eb000+0xf020) [0x7fcea43fa020]
[    42.898] 3: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xs110SetPrivate+0x27) [0x7fcea0d450f7]
[    42.899] 4: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xclSetPrivate+0xd) [0x7fcea07876bd]
[    42.899] 5: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs110_swlDriScreenInit+0xfd) [0x7fcea089b27d]
[    42.900] 6: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs110_atiddxDriScreenInit+0x347) [0x7fcea0883807]
[    42.900] 7: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs110_atiddxScreenInit+0xc49) [0x7fcea087c259]
[    42.901] 8: /usr/bin/Xorg (AddScreen+0x171) [0x7fcea51152a1]
[    42.901] 9: /usr/bin/Xorg (InitOutput+0x29c) [0x7fcea515163c]
[    42.901] 10: /usr/bin/Xorg (0x7fcea50c3000+0x40fed) [0x7fcea5103fed]
[    42.901] 11: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xfd) [0x7fcea3114ead]
[    42.901] 12: /usr/bin/Xorg (0x7fcea50c3000+0x414ad) [0x7fcea51044ad]
[    42.901] Segmentation fault at address 0x10

I am running unstable with the lastest version of xserver-xorg-core.

In order to test I rebuilt the packages by removing the depends
on old xorg-video-abi-* versions and setting the xserver-xorg-core
depends to be unversioned. Clearly this ABI change is (at least part of)
the problem.

It's a shame because this means, among other things, that we cannot
enjoy Gnome 3 completely.

Regards,

--Tom

p.s. I plan to get an Intel GPU next time w/ Free drivers




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Fri, 04 Nov 2011 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Fri, 04 Nov 2011 12:54:06 GMT) Full text and rfc822 format available.

Message #99 received at 639875@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Tom Marble <tmarble@info9.net>, 639875@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#639875: fglrx-driver: xorg-video-abi-11
Date: Fri, 04 Nov 2011 13:51:03 +0100
Am 04.11.2011 13:48, schrieb Tom Marble:
> All:
>
> I can confirm the segfault with 11-10 :(
>
> [    42.897] 0: /usr/bin/Xorg (xorg_backtrace+0x26) [0x7fcea52478f6]
> [    42.897] 1: /usr/bin/Xorg (0x7fcea50c3000+0x188559) [0x7fcea524b559]
> [    42.897] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fcea43eb000+0xf020) [0x7fcea43fa020]
> [    42.898] 3: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xs110SetPrivate+0x27) [0x7fcea0d450f7]
> [    42.899] 4: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xclSetPrivate+0xd) [0x7fcea07876bd]
> [    42.899] 5: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs110_swlDriScreenInit+0xfd) [0x7fcea089b27d]
> [    42.900] 6: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs110_atiddxDriScreenInit+0x347) [0x7fcea0883807]
> [    42.900] 7: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs110_atiddxScreenInit+0xc49) [0x7fcea087c259]
> [    42.901] 8: /usr/bin/Xorg (AddScreen+0x171) [0x7fcea51152a1]
> [    42.901] 9: /usr/bin/Xorg (InitOutput+0x29c) [0x7fcea515163c]
> [    42.901] 10: /usr/bin/Xorg (0x7fcea50c3000+0x40fed) [0x7fcea5103fed]
> [    42.901] 11: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xfd) [0x7fcea3114ead]
> [    42.901] 12: /usr/bin/Xorg (0x7fcea50c3000+0x414ad) [0x7fcea51044ad]
> [    42.901] Segmentation fault at address 0x10
>
> I am running unstable with the lastest version of xserver-xorg-core.
>
> In order to test I rebuilt the packages by removing the depends
> on old xorg-video-abi-* versions and setting the xserver-xorg-core
> depends to be unversioned. Clearly this ABI change is (at least part of)
> the problem.
>
> It's a shame because this means, among other things, that we cannot
> enjoy Gnome 3 completely.
>
> Regards,
>
> --Tom
>
> p.s. I plan to get an Intel GPU next time w/ Free drivers

11-11 will be compatible with it, I just tested the next version.




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Sat, 05 Nov 2011 01:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sat, 05 Nov 2011 01:54:05 GMT) Full text and rfc822 format available.

Message #104 received at 639875@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 639875@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#639875: fglrx-driver: xorg-video-abi-11
Date: Fri, 4 Nov 2011 21:51:05 -0400
On Fri, Nov 4, 2011 at 8:48 AM, Tom Marble wrote:
> It's a shame because this means, among other things, that we cannot
> enjoy Gnome 3 completely.

I'm not sure if this is common knowledge yet, but the free ati driver
(including 3d and desktop compositing support) has come a *long* way
since the squeeze release.  No, you won't get the same performance on
the most demanding games, but then again you will also never again
have to deal with this kind of unnecessary long-term breakage either.

See the ATI FAQ:
http://wiki.debian.org/AtiHowTo

This problem may just be the excuse to make your system "freer".

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Tue, 15 Nov 2011 20:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martí­n Perazzo <martin.perazzo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Tue, 15 Nov 2011 20:18:07 GMT) Full text and rfc822 format available.

Message #109 received at 639875@bugs.debian.org (full text, mbox):

From: Martí­n Perazzo <martin.perazzo@gmail.com>
To: 639875@bugs.debian.org
Subject: new upstream release
Date: Tue, 15 Nov 2011 17:16:12 -0300
New upstream release available at: 
http://www2.ati.com/drivers/linux/amd-driver-installer-11-11-x86.x86_64.run
Havent tryied it yet but its supposed to have xorg 1.11 support.




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Tue, 15 Nov 2011 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martí­n Perazzo <martin.perazzo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Tue, 15 Nov 2011 20:27:03 GMT) Full text and rfc822 format available.

Message #114 received at 639875@bugs.debian.org (full text, mbox):

From: Martí­n Perazzo <martin.perazzo@gmail.com>
To: 639875@bugs.debian.org
Subject: corrected link
Date: Tue, 15 Nov 2011 17:23:47 -0300
www2.ati.com/drivers/linux/ati-driver-installer-11-11-x86.x86_64.run




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Thu, 17 Nov 2011 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martí­n Perazzo <martin.perazzo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Thu, 17 Nov 2011 20:00:03 GMT) Full text and rfc822 format available.

Message #119 received at 639875@bugs.debian.org (full text, mbox):

From: Martí­n Perazzo <martin.perazzo@gmail.com>
To: 639875@bugs.debian.org
Subject: success
Date: Thu, 17 Nov 2011 16:56:30 -0300
fglrx 11.11 indeed works with xorg 1.11
link is: 
http://www2.ati.com/drivers/linux/ati-driver-installer-11-11-x86.x86_64.run




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Fri, 18 Nov 2011 02:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Marble <tmarble@info9.net>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Fri, 18 Nov 2011 02:45:03 GMT) Full text and rfc822 format available.

Message #124 received at 639875@bugs.debian.org (full text, mbox):

From: Tom Marble <tmarble@info9.net>
To: 639875@bugs.debian.org
Subject: Re: Bug#639875: fglrx-driver: xorg-video-abi-11
Date: Thu, 17 Nov 2011 20:43:42 -0600
Way back on 4 november, Patrick wrote:
> 11-11 will be compatible with it, I just tested the next version.

ATI just released this version.  I tried building it with the
11-10 packaging and failed with errors like:

dpkg-source: warning: ignoring deletion of directory arch/x86/etc
dpkg-source: warning: ignoring deletion of directory arch/x86/etc/OpenCL
dpkg-source: warning: ignoring deletion of directory arch/x86/etc/OpenCL/vendors
dpkg-source: warning: ignoring deletion of file arch/x86/etc/OpenCL/vendors/amdocl32.icd
dpkg-source: warning: ignoring deletion of file arch/x86/usr/lib/libOpenCL.so.1
dpkg-source: warning: ignoring deletion of file arch/x86/usr/lib/libamdocl32.so
dpkg-source: warning: ignoring deletion of directory arch/x86/usr/bin
dpkg-source: warning: ignoring deletion of file arch/x86/usr/bin/clinfo
dpkg-source: warning: ignoring deletion of directory arch/x86_64/etc
dpkg-source: warning: ignoring deletion of directory arch/x86_64/etc/OpenCL
dpkg-source: warning: ignoring deletion of directory arch/x86_64/etc/OpenCL/vendors
dpkg-source: warning: ignoring deletion of file arch/x86_64/etc/OpenCL/vendors/amdocl64.icd
dpkg-source: warning: ignoring deletion of file arch/x86_64/usr/lib64/libOpenCL.so.1
dpkg-source: warning: ignoring deletion of file arch/x86_64/usr/lib64/libamdocl64.so
dpkg-source: warning: ignoring deletion of directory arch/x86_64/usr/bin
dpkg-source: warning: ignoring deletion of file arch/x86_64/usr/bin/clinfo
dpkg-source: error: cannot represent change to fglrx-driver-11-11/xpic_64a/usr/X11R6/lib64/modules/glesx.so: binary file contents changed

I didn't have the patience to diff the new upstream format and so...

However I did install the ATI driver *directly* (with the side effect
that my filesystem is now corrupted with files not tracked by dpkg)
and the driver does indeed work.  I am now running on (unstable+experimental):
Linux ordi 3.1.0-1-amd64 #1 SMP Mon Nov 14 08:02:25 UTC 2011 x86_64 GNU/Linux

There are some random screen flickers, but I am now enjoying Gnome 3.
(I have not tried fancy things like adding a projector, etc.)

Regards,

--Tom




Reply sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
You have taken responsibility. (Fri, 18 Nov 2011 06:06:06 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Fri, 18 Nov 2011 06:06:06 GMT) Full text and rfc822 format available.

Message #129 received at 639875-close@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 639875-close@bugs.debian.org
Subject: Bug#639875: fixed in fglrx-driver 1:11-11-1
Date: Fri, 18 Nov 2011 06:03:06 +0000
Source: fglrx-driver
Source-Version: 1:11-11-1

We believe that the bug you reported is fixed in the latest version of
fglrx-driver, which is due to be installed in the Debian FTP archive:

fglrx-atieventsd_11-11-1_amd64.deb
  to non-free/f/fglrx-driver/fglrx-atieventsd_11-11-1_amd64.deb
fglrx-control_11-11-1_amd64.deb
  to non-free/f/fglrx-driver/fglrx-control_11-11-1_amd64.deb
fglrx-driver_11-11-1.debian.tar.gz
  to non-free/f/fglrx-driver/fglrx-driver_11-11-1.debian.tar.gz
fglrx-driver_11-11-1.dsc
  to non-free/f/fglrx-driver/fglrx-driver_11-11-1.dsc
fglrx-driver_11-11-1_amd64.deb
  to non-free/f/fglrx-driver/fglrx-driver_11-11-1_amd64.deb
fglrx-driver_11-11.orig.tar.bz2
  to non-free/f/fglrx-driver/fglrx-driver_11-11.orig.tar.bz2
fglrx-glx-ia32_11-11-1_amd64.deb
  to non-free/f/fglrx-driver/fglrx-glx-ia32_11-11-1_amd64.deb
fglrx-glx_11-11-1_amd64.deb
  to non-free/f/fglrx-driver/fglrx-glx_11-11-1_amd64.deb
fglrx-modules-dkms_11-11-1_amd64.deb
  to non-free/f/fglrx-driver/fglrx-modules-dkms_11-11-1_amd64.deb
fglrx-source_11-11-1_amd64.deb
  to non-free/f/fglrx-driver/fglrx-source_11-11-1_amd64.deb
libfglrx-ia32_11-11-1_amd64.deb
  to non-free/f/fglrx-driver/libfglrx-ia32_11-11-1_amd64.deb
libfglrx_11-11-1_amd64.deb
  to non-free/f/fglrx-driver/libfglrx_11-11-1_amd64.deb
libgl1-fglrx-glx_11-11-1_amd64.deb
  to non-free/f/fglrx-driver/libgl1-fglrx-glx_11-11-1_amd64.deb
libxvbaw-dev_11-11-1_amd64.deb
  to non-free/f/fglrx-driver/libxvbaw-dev_11-11-1_amd64.deb
libxvbaw1_11-11-1_amd64.deb
  to non-free/f/fglrx-driver/libxvbaw1_11-11-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639875@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Gilbert <michael.s.gilbert@gmail.com> (supplier of updated fglrx-driver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 18 Nov 2011 00:26:25 -0500
Source: fglrx-driver
Binary: fglrx-driver libfglrx libxvbaw1 libxvbaw-dev libgl1-fglrx-glx fglrx-glx fglrx-glx-ia32 libfglrx-ia32 fglrx-modules-dkms fglrx-source fglrx-control fglrx-atieventsd
Architecture: source amd64
Version: 1:11-11-1
Distribution: unstable
Urgency: low
Maintainer: Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>
Changed-By: Michael Gilbert <michael.s.gilbert@gmail.com>
Description: 
 fglrx-atieventsd - external events daemon for the non-free ATI/AMD RadeonHD display
 fglrx-control - control panel for the non-free ATI/AMD RadeonHD display driver
 fglrx-driver - non-free ATI/AMD RadeonHD display driver
 fglrx-glx  - transitional package, use libgl1-fglrx-glx
 fglrx-glx-ia32 - proprietary libGL for the non-free ATI/AMD RadeonHD display drive
 fglrx-modules-dkms - dkms module source for the non-free ATI/AMD RadeonHD display driv
 fglrx-source - kernel module source for the non-free ATI/AMD RadeonHD display dr
 libfglrx   - non-free ATI/AMD RadeonHD display driver (runtime libraries)
 libfglrx-ia32 - non-free ATI/AMD RadeonHD display driver (32-bit runtime librarie
 libgl1-fglrx-glx - proprietary libGL for the non-free ATI/AMD RadeonHD display drive
 libxvbaw-dev - AMD XvBA (X-Video Bitstream Acceleration) development files
 libxvbaw1  - AMD XvBA (X-Video Bitstream Acceleration) runtime libraries
Closes: 639875 646974
Changes: 
 fglrx-driver (1:11-11-1) unstable; urgency=low
 .
   [ Andreas Beckmann ]
   * Use wildcards instead of multiarch paths in lintian overrides.
     (Closes: #646974)
   * Bump glx-alternative-fglrx dependency to 0.2.
 .
   [ Michael Gilbert ]
   * New upstream release 11-11:
     - Supports xorg-video-abi-11 (closes: #639875).
   * Add dep5 revision number to the copyright file.
Checksums-Sha1: 
 7414ed2d346676233405fdf07139f5cd9398acc8 3590 fglrx-driver_11-11-1.dsc
 2a8356d141148a187061d156c1a99668fd9d044c 84885654 fglrx-driver_11-11.orig.tar.bz2
 c3341b3a75ff7b67e1c28d1c7484a072cb4c6604 113457 fglrx-driver_11-11-1.debian.tar.gz
 6712594cddb980685f181948b8eb632105ab045e 9145240 fglrx-driver_11-11-1_amd64.deb
 a3b70d569390c8fdbb4163b307ce86ecf8d83205 11846650 libfglrx_11-11-1_amd64.deb
 a1bf9dc6b178f6889ebbb0f7fc5e69357dbc485a 2454966 libxvbaw1_11-11-1_amd64.deb
 c5845166a47c82316cf931a534ddee8598bf1cd9 37942 libxvbaw-dev_11-11-1_amd64.deb
 bddb48160f1fce550dd83c5e58979f31f28a1a54 290810 libgl1-fglrx-glx_11-11-1_amd64.deb
 32b8186edd5ef9604747604c1bb5ab98a01cd2dd 31114 fglrx-glx_11-11-1_amd64.deb
 845bb203f3b0a6740e884c6a6ec903ae7b36b3d6 250620 fglrx-glx-ia32_11-11-1_amd64.deb
 892de69621551d88a4d385925fa3e73ea8882798 13346184 libfglrx-ia32_11-11-1_amd64.deb
 cacdd2d18504cbbdc53c0962bb5a802f237657e7 1007928 fglrx-modules-dkms_11-11-1_amd64.deb
 fcc1de139c2675fd04e3b5d5fe12f4354a91ca90 980810 fglrx-source_11-11-1_amd64.deb
 2a4bb5ffcaf2f10d2f81b1f609d052442a97673e 4579574 fglrx-control_11-11-1_amd64.deb
 546ba31c07295ea9b15e33ab72f53c23df759b54 158104 fglrx-atieventsd_11-11-1_amd64.deb
Checksums-Sha256: 
 0e5019135209d86efe233ce51b4684bb463ff74a0cd002250b1229512ea5ba6f 3590 fglrx-driver_11-11-1.dsc
 526afc72618dbe94bff235c5fb00bcf95112c6ca9e36861cd70ef3cf43406df4 84885654 fglrx-driver_11-11.orig.tar.bz2
 e5f8076acef57d7a9bad601d63d85d24109d27bf8be94faa8e286f56cb7ce360 113457 fglrx-driver_11-11-1.debian.tar.gz
 3209cda367d8ff08464957cd4fbe82507e1393c22785211bedacfe5387ec8186 9145240 fglrx-driver_11-11-1_amd64.deb
 07ee67157daf7ab58e8f449bde57e603fe3da6d7205e69914da201fe599c59ce 11846650 libfglrx_11-11-1_amd64.deb
 80b5944db3981d4950c410ed1d945fbdbfe35d2333f601fed198c09a31f47a03 2454966 libxvbaw1_11-11-1_amd64.deb
 a577112c6b0f34f17489742cec6408493b40ad3ce58ee2f6726a4b365a3d8525 37942 libxvbaw-dev_11-11-1_amd64.deb
 2f60c80cde29da8040c7c09b48b9a78545749dfc2667d35a78d8470cecbe1190 290810 libgl1-fglrx-glx_11-11-1_amd64.deb
 f494c31be0c7cc5a70ad8e774b5d76ff3383326fdbc2f7c42ee67e25e63b9540 31114 fglrx-glx_11-11-1_amd64.deb
 86cb22a0626404b0bc7e79dd203e63b2e0846f1c4cb479b319ec637ed8626379 250620 fglrx-glx-ia32_11-11-1_amd64.deb
 414d7a547bf6307465c2cd27d3e627753d67bbdc1d3bec3d1af426e569ca6e95 13346184 libfglrx-ia32_11-11-1_amd64.deb
 8145d2783905dbcc000e1697a84c1bd7a142aaf077019ffe1c3165701ba5793e 1007928 fglrx-modules-dkms_11-11-1_amd64.deb
 19607f070af595cc28bddae99fe6ec7236b4e60246efba2a7a6d41e852b85a08 980810 fglrx-source_11-11-1_amd64.deb
 4ee8fd43945ac710402bffcc6791e570e10982de2ce836444de8055ee15eb404 4579574 fglrx-control_11-11-1_amd64.deb
 dd775462fb8b1ff39b48b7f01b99fd43c66cbc8eb294672ac85b7696b3ae71b1 158104 fglrx-atieventsd_11-11-1_amd64.deb
Files: 
 0034f1f8fda5b59a4d5a35b51a3ab97c 3590 non-free/x11 extra fglrx-driver_11-11-1.dsc
 1c763ad320e5f4eb22fa7b708cf0682e 84885654 non-free/x11 extra fglrx-driver_11-11.orig.tar.bz2
 efa3455393bc999b64a71c4e59a9632c 113457 non-free/x11 extra fglrx-driver_11-11-1.debian.tar.gz
 e2c80c235adbd6137f49e7a473ce4ea3 9145240 non-free/x11 extra fglrx-driver_11-11-1_amd64.deb
 a4810ab08e409c42ba572736db50654b 11846650 non-free/libs extra libfglrx_11-11-1_amd64.deb
 bfa403b0b8877d2d848e9dbd2d7abc77 2454966 non-free/libs extra libxvbaw1_11-11-1_amd64.deb
 c8f44fc949b27411c8b24d3dac3b8718 37942 non-free/libdevel extra libxvbaw-dev_11-11-1_amd64.deb
 775f46a87d4eedabeeed94daa4c7f896 290810 non-free/libs extra libgl1-fglrx-glx_11-11-1_amd64.deb
 b0d1a45ce24ff84f1d0d17364e01bb61 31114 non-free/oldlibs extra fglrx-glx_11-11-1_amd64.deb
 f10513ab63c489322ae5adc1a7b9ac02 250620 non-free/x11 extra fglrx-glx-ia32_11-11-1_amd64.deb
 4453c29706def1c26dc1974856ad264a 13346184 non-free/libs extra libfglrx-ia32_11-11-1_amd64.deb
 30fac5ccda129a1f4001b1ecc4ac6ac9 1007928 non-free/kernel extra fglrx-modules-dkms_11-11-1_amd64.deb
 9c2e8daee9ad6d9d94526977d37ad02f 980810 non-free/kernel extra fglrx-source_11-11-1_amd64.deb
 f8835ab9eaae808fbfb7a5b19f4e8c61 4579574 non-free/x11 extra fglrx-control_11-11-1_amd64.deb
 51225afd188bd463d924a99b4eb5c15e 158104 non-free/x11 extra fglrx-atieventsd_11-11-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQQcBAEBCAAGBQJOxe5HAAoJELjWss0C1vRzNnUf/3yZnqcE/wgwxHkBra19QAvZ
LRUX78aLc9bnaIB9yxivzNknqpX9z0mVL2SytTDf+jGMyNqNSaTXGYOMYwvTeWgS
pYjL3k9aZK1g0dkoFQA6jZHbnRat870hstGjcSdNwANkQXic2AQQ0ZycPlxTLk0X
90gh6vsoNbAzscvtK3MYtLINClQXbbZXIJH5cEd83rc0sHfBIhN/UJ3vs9zU5PvY
lV5LAZwUxvTM8TgbxjxfUj7d13kzXHLls2meQVNugpRAA9nFkOoc+Wdm4iJJ2C1i
I7QhydRfv1cGIRpW1UHa8dFiqFHY70YvuHVsH8GMoGWOzjKwpUTWZqi8Le24THnb
wtpUTY/F9/Py+a14yHt0cQKafKsncwN7h/gvbGd3C8OHR4fYE44R/p4kIPUjP1S0
9gGKpshZrIHjoh9JZ1m4HFnxKYnYbPD6Y6yO16c0/Y0yGCefoP0QUAXmo09Ebjny
3B2JYF64bf53INx13LN5eZGGbbB6NtA+AYyfGrFTkipPJ3ASC+ERZEjMJfNCeMnn
Nmla/N8EqBlilMcCZgp3IKIvBP45TbK3BcZnHXZ/zFtmNRff50SJHqBaCuLZNREs
YRuncpScO4KNVrj+rh4JwfM7YLADY8W1ijydevWgqETnBa/7b4tC0dVqzqj/gkby
sefp6naUMTDGLizI4I3GGhxFG7TwHgMGeOYIoOKk6MiuEGL/pvJ4Z2yUc2MaeMl6
qdnW1G75/3AJ2LAXet9bhKH5Brw6VgZhhFcGIyWW+pv+3R6QnzaUUAKIxDUz6NhX
GvKA6/oWIIaDUMjUG7YWkzpjuhzBBbahAIwt1DqshbK7POy9huzp2xGHelMuqbsg
yyEkip8/3NRg/8JyU9WThd8vCSwRM4Q47mJDNpHFZPgcw9Hxwkv31KKwXZDEFP3a
sVuq+zABOI4Njz/Bf3NyLx0+4u9zViXPNdoLOC88NST0dXNhYXKMLP3t6K4jAUza
4WzkeIh//fpT0BPWj+x97b1LpKM7T2iwrD1AdrvzHxgirqNcv8S6iP9xQ2QW2f77
N0mBQNGb9IjeMdk+aoBRTvZHSMdkI1IH7Qk21PM57bXpJq1W70J+0W4++e/yv/dv
kSHWFIHYU8xzXuSnD5j5FOkYco16TdaT0yzqjkoRG4VjyPuazVyKMEdZocjybG7o
0unCm9Kkh5skiGyEQtFnPcf5iYV9VgZiB0g+s6RJjHTugwt6ActZESQfdr9kwKNY
jxqjzVcgF4lt2tmv4RVE1R4ylsqbvLQN96ACcHchMzW9DTri4cTSE9wakvRoIm7e
idd4sjhprBthZvIDu3KFkM6LrCBF7Z8ukYwEpFplbpB1hkX1xegcxmb9gcXDFMs=
=6MaY
-----END PGP SIGNATURE-----





Reply sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
You have taken responsibility. (Fri, 18 Nov 2011 06:06:07 GMT) Full text and rfc822 format available.

Notification sent to Daniel Koch <koch.daniel.89@googlemail.com>:
Bug acknowledged by developer. (Fri, 18 Nov 2011 06:06:07 GMT) Full text and rfc822 format available.

Reply sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
You have taken responsibility. (Fri, 18 Nov 2011 06:06:07 GMT) Full text and rfc822 format available.

Notification sent to Fernando Cerezal <kryptos21@gmail.com>:
Bug acknowledged by developer. (Fri, 18 Nov 2011 06:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Fri, 18 Nov 2011 09:39:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergei Stolyarov <sergei.stolyarov@regolit.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Fri, 18 Nov 2011 09:39:20 GMT) Full text and rfc822 format available.

Message #144 received at 639875@bugs.debian.org (full text, mbox):

From: Sergei Stolyarov <sergei.stolyarov@regolit.com>
To: 639875@bugs.debian.org, Michael Gilbert <michael.s.gilbert@gmail.com>
Subject: Re: Bug#639875: fglrx-driver: xorg-video-abi-11
Date: Fri, 18 Nov 2011 16:16:01 +0700
Just tried to install and failed:

 fglrx-driver depends on xserver-xorg-core (<< 2:1.10.99); however:
  Version of xserver-xorg-core on system is 2:1.11.1.901-2.

Broken dependency server-xorg-core (<< 2:1.10.99)?
-- 
Sergei Stolyarov




Bug No longer marked as fixed in versions fglrx-driver/1:11-11-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Nov 2011 14:45:02 GMT) Full text and rfc822 format available.

Bug Marked as found in versions fglrx-driver/1:11-11-1. Request was from tg@mirbsd.de to control@bugs.debian.org. (Fri, 18 Nov 2011 14:45:04 GMT) Full text and rfc822 format available.

Reply sent to Andreas Beckmann <debian@abeckmann.de>:
You have taken responsibility. (Fri, 18 Nov 2011 16:39:04 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Fri, 18 Nov 2011 16:39:04 GMT) Full text and rfc822 format available.

Message #153 received at 639875-done@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 639875-done@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#639875: fglrx-driver: xorg-video-abi-11
Date: Fri, 18 Nov 2011 17:35:03 +0100
Version: 1:11-11-2

On 2011-11-18 10:16, Sergei Stolyarov wrote:
> Just tried to install and failed:
> 
>  fglrx-driver depends on xserver-xorg-core (<< 2:1.10.99); however:
>   Version of xserver-xorg-core on system is 2:1.11.1.901-2.
> 
> Broken dependency server-xorg-core (<< 2:1.10.99)?

1:11-11-2 fixes the xserver-xorg-core dependency

Andreas




Reply sent to Andreas Beckmann <debian@abeckmann.de>:
You have taken responsibility. (Fri, 18 Nov 2011 16:39:05 GMT) Full text and rfc822 format available.

Notification sent to Daniel Koch <koch.daniel.89@googlemail.com>:
Bug acknowledged by developer. (Fri, 18 Nov 2011 16:39:05 GMT) Full text and rfc822 format available.

Reply sent to Andreas Beckmann <debian@abeckmann.de>:
You have taken responsibility. (Fri, 18 Nov 2011 16:39:05 GMT) Full text and rfc822 format available.

Notification sent to Fernando Cerezal <kryptos21@gmail.com>:
Bug acknowledged by developer. (Fri, 18 Nov 2011 16:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#639875; Package fglrx-driver. (Wed, 30 Nov 2011 18:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <ralfjung-e@gmx.de>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Wed, 30 Nov 2011 18:18:06 GMT) Full text and rfc822 format available.

Message #168 received at 639875@bugs.debian.org (full text, mbox):

From: Ralf Jung <ralfjung-e@gmx.de>
To: 639875@bugs.debian.org
Cc: 639875-subscribe@bugs.debian.org
Subject: Fixed
Date: Wed, 30 Nov 2011 19:15:28 +0100
Thanks a lot, just installed the new fglrx and the Xorg update and it's all 
working!

Kind regards,
Ralf




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 29 Dec 2011 07:33:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:11:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.